# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Digital Onboarding response codes ## Error structure Errors in the Digital Onboarding API have: - title: REQUIRED — Short human-readable title for the error. - httpStatus: OPTIONAL — HTTP Status Code - traceId: OPTIONAL — J.P. Morgan tracing identifier. - context: OPTIONAL (array) — Provides additional context and detail on the error. - message: REQUIRED (string) — Human-readable textual description of the error. - field: OPTIONAL (string) — The location of the property or parameter in error. ## Successful responses (200 - 299) In general, a `2XX` status code indicates successful receipt and acknowledgement of your request. To obtain the result or status of your request, refer to the response body, a notification, or the response to a separate API call. **200 responses** | Scenario | HTTP Status | Description | | --- | --- | --- | | Get party by ID was successful | 200 | OK. | | Update party by ID was successful | 200 | OK. | | Successful party creation | 201 | Created. The resource was created. | | The request to validate the party was accepted | 202 | Accepted. Acknowledges successful receipt of the request. Refer to the response of a [Get client](/api/commerce/optimization-protection/digital-onboarding/digital-onboarding#/operations/smbdo-getClient) or [Get party](/api/commerce/optimization-protection/digital-onboarding/digital-onboarding#/operations/getParty) request for the client or party validation status. | ## Client error responses (400 - 499) A `4XX` status code indicates that an error has occurred during the request. Additional fields are provided in the body of the response to help identify the error. Address the problem and resubmit the request. **400 responses** | Scenario | HTTP Status | Description | | --- | --- | --- | | Request fields are missing or the format was incorrect | 400 | Bad request. Update the request parameters and try again. | | The request was not authenticated | 401 | Unauthorized. Authenticate the request and try again. | | The request was not permitted | 403 | Forbidden. The request authentication was not permitted access to the resource. | | The party was not found for the provided party ID | 404 | Resource not found. | | The party could not be updated due to a write conflict and the request should be retried. | 409 | Conflict. There was a request conflict with the current resource, please try again. | | The party validation could not be started due to its current profileStatus | 422 | Unprocessable entity. There was an issue with the current status of the resource. Update the primary resource and try again. | ## Server error responses (500 - 599) A `5XX` status code indicates that an error has occurred within the J.P. Morgan environment during the request. Additional fields are provided in the body of the response to help identify the error. **500 responses** | Scenario | HTTP Status | Description | | --- | --- | --- | | Internal server error | 500 | Server error, please retry. | | Service unavailable | 503 | The system is unavailable, please retry later. |